spring:
  zipkin:
    #zipkin服务所在地址
    base-url: http://jjb-saas-zipkin/
    sender:
      type: web #使用http的方式传输数据
    #配置采样百分比
    sleuth:
      sampler:
        probability: 1 # 将采样比例设置为 1.0，也就是全部都需要。默认是0.1也就是10%，一般情况下，10%就够用了
  web:
    resources:
      cache:
        cachecontrol:
          no-store: false
          max-age: 10000
          no-cache: false
  autoconfigure:
    exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure
  main:
    allow-bean-definition-overriding: true
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  messages:
    basename: i18n.message
    encoding: UTF-8
  flyway:
    # 是否启用flyway
    enabled: true
    # 编码格式，默认UTF-8
    encoding: UTF-8
    # 迁移sql脚本文件存放路径，默认db/migration
    locations: classpath:db/migration
    # 迁移sql脚本文件名称的前缀，默认V
    sql-migration-prefix: V
    # 迁移sql脚本文件名称的分隔符，默认2个下划线__
    sql-migration-separator: __
    # 迁移sql脚本文件名称的后缀
    sql-migration-suffixes: .sql
    # 迁移时是否进行校验，默认true
    validate-on-migrate: true
    # 当迁移发现数据库非空且存在没有元数据的表时，自动执行基准迁移，新建schema_version表
    baseline-on-migrate: true
server:
  tomcat:
    max-http-post-size: 200MB
  connection-timeout: 180000
fastjson:
  parser:
    safeMode: true
mvc:
  pathmatch:
    matching-strategy: ANT_PATH_MATCHER
thymeleaf:
  prefix: classpath:/templates/
  cache: false
dubbo:
  application:
    name: ${spring.application.name}
  registry:
    timeout: 20000
    address: nacos://${spring.cloud.nacos.config.server-addr}?namespace=${spring.cloud.nacos.config.namespace}-facade
    check: false
    filter: providerContextFilter
  protocol:
    port: -1
    name: dubbo
  consumer:
    timeout: 20000
    check: false
    filter: consumerContextFilter
logging:
  config: classpath:jjb-saas-logback-spring.xml
  level:
    com.alibaba.nacos.client.naming: OFF
    com.alibaba.nacos.client.config.impl: OFF
    com.alibaba.nacos.common.remote.client: OFF

datapermssion:
  tenantcondition:
    defaultversion: NEWERSION

easy-retry:
  server:
    host: http://jjb-saas-config
    port: 1788


